var react = require('react');

var useAfterLoadingEffect = function useAfterLoadingEffect(isLoading, callback, useEffectHook) {
  if (useEffectHook === void 0) {
    useEffectHook = react.useEffect;
  }

  var wasLoadingRef = react.useRef(isLoading);
  useEffectHook(function () {
    if (wasLoadingRef.current && !isLoading) {
      wasLoadingRef.current = isLoading;
      return callback();
    }

    wasLoadingRef.current = isLoading;
  }, [isLoading, callback]);
};

exports.default = useAfterLoadingEffect;
exports.useAfterLoadingEffect = useAfterLoadingEffect;
//# sourceMappingURL=index.js.map
