import { useRef, useEffect } from 'react';

var useAfterLoadingEffect = function useAfterLoadingEffect(isLoading, callback, useEffectHook) {
  if (useEffectHook === void 0) {
    useEffectHook = useEffect;
  }

  var wasLoadingRef = useRef(isLoading);
  useEffectHook(function () {
    if (wasLoadingRef.current && !isLoading) {
      wasLoadingRef.current = isLoading;
      return callback();
    }

    wasLoadingRef.current = isLoading;
  }, [isLoading, callback]);
};

export default useAfterLoadingEffect;
export { useAfterLoadingEffect };
//# sourceMappingURL=index.modern.js.map
